classification
Title: Remove to-be-deprecated urllib.request.urlretrieve function reference from HOWTO
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: adelfino, docs@python, orsenthil, terry.reedy
Priority: normal Keywords: patch

Created on 2018-04-11 22:57 by adelfino, last changed 2018-04-20 14:16 by orsenthil. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6454 merged adelfino, 2018-04-11 22:59
PR 6486 merged miss-islington, 2018-04-16 14:06
PR 6487 merged miss-islington, 2018-04-16 14:06
Messages (9)
msg315204 - (view) Author: Andrés Delfino (adelfino) * Date: 2018-04-11 22:57
Documentation says urllib.request.urlretrieve "might become deprecated at some point in the future".

IMHO, it's better to provide examples that do not make users rely on API that has this label.

I propose the example in the pull request to accomplish exactly the same task while not relying on urllib.request.urlretrieve.
msg315206 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2018-04-11 23:44
Andrés,  your pull request looks good to me. Please go ahead and sign the CLA and I can merge this to cpython HEAD. 

Thank you for your contribution.
msg315207 - (view) Author: Andrés Delfino (adelfino) * Date: 2018-04-11 23:48
Hi Senthil! I signed the CLA several days ago. Got the "Python Contributor Agreement Form between Python Software Foundation and Andrés Delfino is Signed and Filed!" mail on April 1st (perhaps I chose a bad date to fill the request ;) )
msg315210 - (view) Author: Andrés Delfino (adelfino) * Date: 2018-04-12 00:40
The agreement can be found at: https://secure.na1.echosign.com/public/viewAgreement?tsid=CBFCIBAA3AAABLblqZhC0bOfZxqQ_bUGhwUqnYiqqxAj3N7_dOts1qHsH9YdsbakL5qJ6FbSU9NHkecXglBLZ29gXbHeNdUErGzW7QkUs&;
msg315237 - (view) Author: Andrés Delfino (adelfino) * Date: 2018-04-12 23:00
My contributor form shows as received now :)

Don't know how to update the "CLA not signed" label on the PR.
msg315280 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-04-14 00:32
The label has been changed.  Senthil, go ahead and merge this.
msg315359 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2018-04-16 14:13
Thank you, Andrés and Terry.

This is merged in 3.8 and backported to 3.7 and 3.6 too.
msg315511 - (view) Author: Andrés Delfino (adelfino) * Date: 2018-04-20 14:00
I believe this issue can be closed, right?
msg315513 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2018-04-20 14:16
Indeed. Thank you!
History
Date User Action Args
2018-04-20 14:16:55orsenthilsetstatus: open -> closed
resolution: fixed
messages: + msg315513

stage: patch review -> resolved
2018-04-20 14:00:14adelfinosetmessages: + msg315511
2018-04-16 14:13:05orsenthilsetmessages: + msg315359
versions: + Python 3.6, Python 3.7
2018-04-16 14:06:44miss-islingtonsetpull_requests: + pull_request6186
2018-04-16 14:06:29miss-islingtonsetpull_requests: + pull_request6185
2018-04-14 00:32:20terry.reedysetnosy: + terry.reedy
messages: + msg315280
2018-04-12 23:00:55adelfinosetmessages: + msg315237
2018-04-12 00:40:33adelfinosetmessages: + msg315210
2018-04-11 23:48:09adelfinosetmessages: + msg315207
2018-04-11 23:44:05orsenthilsetmessages: + msg315206
2018-04-11 23:31:37ned.deilysetnosy: + orsenthil
2018-04-11 22:59:29adelfinosetkeywords: + patch
stage: patch review
pull_requests: + pull_request6148
2018-04-11 22:57:04adelfinocreate